<html>
<head>
<title>OgreD3D11VideoMode.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_0a2df88393729a3f182c00116937c948.html">Direct3D11</a>      </li>
      <li class="navelem"><a class="el" href="dir_80c990f15d364d52e4690b415f060ae9.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreD3D11VideoMode.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreD3D11VideoMode_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __D3D11VIDEOMODE_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __D3D11VIDEOMODE_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreD3D11Prerequisites_8h.html">OgreD3D11Prerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="keyword">namespace </span>Ogre 
<a name="l00034"></a>00034 {
<a name="l00035"></a><a class="code" href="namespaceOgre.html#a98de8dab47b95e8a974482f7bee7eb67">00035</a>     <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="namespaceOgre.html#a98de8dab47b95e8a974482f7bee7eb67">modeCount</a> = 0;
<a name="l00036"></a>00036 
<a name="l00037"></a><a class="code" href="classOgre_1_1D3D11VideoMode.html">00037</a>     <span class="keyword">class </span><a class="code" href="classOgre_1_1D3D11VideoMode.html">D3D11VideoMode</a>
<a name="l00038"></a>00038     {
<a name="l00039"></a>00039     <span class="keyword">private</span>:
<a name="l00040"></a><a class="code" href="classOgre_1_1D3D11VideoMode.html#ab93999ea7274f52091cf83ae0eaa1323">00040</a>         DXGI_OUTPUT_DESC <a class="code" href="classOgre_1_1D3D11VideoMode.html#ab93999ea7274f52091cf83ae0eaa1323">mDisplayMode</a>;
<a name="l00041"></a><a class="code" href="classOgre_1_1D3D11VideoMode.html#a86ea17b0769a979b8ff4ccf9e7f87da1">00041</a>         DXGI_MODE_DESC <a class="code" href="classOgre_1_1D3D11VideoMode.html#a86ea17b0769a979b8ff4ccf9e7f87da1">mModeDesc</a>;
<a name="l00042"></a><a class="code" href="classOgre_1_1D3D11VideoMode.html#a5353217f4f52fb6e9dd27110732a4387">00042</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1D3D11VideoMode.html#a5353217f4f52fb6e9dd27110732a4387">modeNumber</a>;
<a name="l00043"></a>00043 
<a name="l00044"></a>00044     <span class="keyword">public</span>:
<a name="l00045"></a>00045         <a class="code" href="classOgre_1_1D3D11VideoMode.html#a671cc499a478eae0f6d5c626bde7a518">D3D11VideoMode</a>();
<a name="l00046"></a>00046         <a class="code" href="classOgre_1_1D3D11VideoMode.html#a671cc499a478eae0f6d5c626bde7a518">D3D11VideoMode</a>( <span class="keyword">const</span> <a class="code" href="classOgre_1_1D3D11VideoMode.html">D3D11VideoMode</a> &amp;ob );
<a name="l00047"></a>00047         <a class="code" href="classOgre_1_1D3D11VideoMode.html#a671cc499a478eae0f6d5c626bde7a518">D3D11VideoMode</a>( DXGI_OUTPUT_DESC d3ddm,DXGI_MODE_DESC ModeDesc );
<a name="l00048"></a>00048         <a class="code" href="classOgre_1_1D3D11VideoMode.html#aed2d01b995a1b9cbb438fe44e42f4e92">~D3D11VideoMode</a>();
<a name="l00049"></a>00049 
<a name="l00050"></a>00050         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1D3D11VideoMode.html#adfe7cdaf5f650a70f03ec0b75ec7f379">getWidth</a>() <span class="keyword">const</span>;
<a name="l00051"></a>00051         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1D3D11VideoMode.html#a589c0eb7b78c68ccb9f9f78997497d7e">getHeight</a>() <span class="keyword">const</span>;
<a name="l00052"></a>00052         DXGI_FORMAT <a class="code" href="classOgre_1_1D3D11VideoMode.html#a288eec25b61296f66f974be862ddfba8">getFormat</a>() <span class="keyword">const</span>;
<a name="l00053"></a>00053         DXGI_RATIONAL <a class="code" href="classOgre_1_1D3D11VideoMode.html#a889dfa6ecb73b6c306e5ca0c6c1e6450">getRefreshRate</a>() <span class="keyword">const</span>;
<a name="l00054"></a>00054         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1D3D11VideoMode.html#a7b1d5ac68ca94a903fde97e48da11f23">getColourDepth</a>() <span class="keyword">const</span>;
<a name="l00055"></a>00055         DXGI_OUTPUT_DESC <a class="code" href="classOgre_1_1D3D11VideoMode.html#ab6fdbd4bc0549af0867e8e58b402e38a">getDisplayMode</a>() <span class="keyword">const</span>;
<a name="l00056"></a>00056         DXGI_MODE_DESC <a class="code" href="classOgre_1_1D3D11VideoMode.html#a36a2a9eddde83a15db2d0fd8307f1093">getModeDesc</a>() <span class="keyword">const</span>;
<a name="l00057"></a>00057         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1D3D11VideoMode.html#ae72d8bb557e64d2fb42e7776eb1fa651">increaseRefreshRate</a>(DXGI_RATIONAL rr); 
<a name="l00058"></a>00058         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1D3D11VideoMode.html#a9107277d8b5c6e771400586f99a61e94">getDescription</a>() <span class="keyword">const</span>;
<a name="l00059"></a>00059     };
<a name="l00060"></a>00060 }
<a name="l00061"></a>00061 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:49
</p>
</body>
</html>
